<?php

namespace Litecms\ButtonSetting\Repositories\Eloquent;

use Litecms\ButtonSetting\Interfaces\ButtonSettingsRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class ButtonSettingsRepository extends BaseRepository implements ButtonSettingsRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('litecms.button_setting.button_settings.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.button_setting.button_settings.model.model');
    }
}
