Lavalite package that provides button_setting management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/button_setting`.

    "litecms/button_setting": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\ButtonSetting\Providers\ButtonSettingServiceProvider::class,

And also add it to alias

    'ButtonSetting'  => Litecms\ButtonSetting\Facades\ButtonSetting::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\ButtonSettingTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\ButtonSetting\Providers\ButtonSettingServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\ButtonSetting\Providers\ButtonSettingServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\ButtonSetting\Providers\ButtonSettingServiceProvider" --tag="view"


## Usage


